import { TestBed, async,ComponentFixture } from '@angular/core/testing';
import { By } from '@angular/platform-browser';
import { DebugElement } from '@angular/core';
import { AppComponent } from './app.component';
import { ToolbarModule } from '@syncfusion/ej2-angular-navigations';

describe('AppComponent', () => {
  let comp: AppComponent;
  let fixture: ComponentFixture<AppComponent>;
  let heroDe: DebugElement;
  let heroEl: HTMLElement;
  beforeEach(async(() => {
    fixture = TestBed.configureTestingModule({
      imports: [ToolbarModule],
      declarations: [
        AppComponent
      ]
    }).createComponent(AppComponent);
    comp = fixture.componentInstance;
    fixture.detectChanges(); // initial binding
  }));

  it('should be component render the native element with ejs-toolbar', () => {
    heroDe = fixture.debugElement.query(By.css('.e-toolbar'));
    heroEl = heroDe.nativeElement;
    expect(heroEl.classList.contains('e-toolbar')).toBe(true);
    expect(heroEl.tagName === 'EJS-TOOLBAR').toBe(true);
    expect(heroEl.classList.contains('e-control')).toBe(true);
  });
});
